> ## Documentation Index
> Fetch the complete documentation index at: https://agents-docs.lightspark.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

Grid API uses HTTP Basic Authentication with your client ID as the username and your client secret as the password.\
\[!NOTE] Your API tokens are scoped to either your production or sandbox environment.

```bash theme={null}
curl -u "{client_id}:{client_secret}" https://api.lightspark.com/grid/2025-10-13...
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.